/***********************************************************
CSS Document
© 15.02.2025 BrennerMedien GmbH
www.brenner-medien.de
************************************************************
 
/*
======================================================================
Variablen & Grundeinstellungen
======================================================================
*/
@import url("https://use.typekit.net/bna0akw.css");

:root {
  --buket-dunkelgruen: #455244;
  --buket-beige: #F3E8DA;
  --buket-apricot: #EEC3A6;
  --buket-hellrot: #F05440;
  --buket-dunkelrot: #853140;
  --buket-fliesstext: #626367;
}

:root {
  --font-headlines: "clarendon-urw";
  --font-fliesstext: "gotham";
  --font-size: 1rem;
  --site-width: 1400px;
  --responsive-width: 1450px;
}

/* Responsive */
@media only screen and (max-width: 480px) {
  :root {
    --site-width: 100vw;
  }
}

section {
  width: 100%;
  height: auto;
  position: relative;
}

/* Responsive */
@media only screen and (max-width: 480px) {
  section {
    scroll-margin-top: 10rem;
  }
}

#main_page_wrapper {
  width: 100%;
}

/*
  ======================================================================
  Custom Definitions
  ======================================================================
  */
body {
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  font-family: var(--font-fliesstext) !important;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  font-style: italic;
  background-repeat: no-repeat;
  background-size: cover;
  shape-margin: lrem;
}

html,
body {
  scroll-behavior: smooth;
}

a {
  color: inherit;
  transition: all 0.2s;
}

a:hover {
  color: var(--buket-hellrot)
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-headlines) !important;
  font-weight: 400 !important;
}

.section {
  width: 100%;
  height: auto;
  padding-left: calc((100% - var(--site-width)) / 2);
  padding-right: calc((100% - var(--site-width)) / 2);
  flex-direction: column;
  display: flex;
  font-family: var(--font-fliesstext);
  color: var(--buket-dunkelgruen);
}

/*
  ======================================================================
  Markierungsfarben
  ======================================================================
  */
::selection {
  color: #FFF;
  background-color: var(--buket-apricot);
  text-shadow: none;
}

::-moz-selection {
  color: #FFF;
  background-color: var(--buket-apricot);
  text-shadow: none;
}

::-webkit-selection {
  color: #FFF;
  background-color: var(--buket-apricot);
  text-shadow: none;
}

::-webkit-scrollbar-thumb:vertical {
  width: 8px;
  background-color: var(--buket-apricot);
}

::-webkit-scrollbar-thumb:horizontal {
  height: 8px;
  background-color: var(--buket-apricot);
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--buket-hellrot);
}

::-webkit-scrollbar {
  width: 9px;
  height: 9px;
  background-color: var(--buket-beige);
}

/*
  ======================================================================
  Main CSS ab hier
  ======================================================================
  */
/* HEADLINES */
h1 {
  padding-bottom: 1rem;
  font-size: calc(var(--font-size) + 1rem);
  line-height: 1.5;
  color: var(--buket-hellrot) !important;
  margin-top: 2rem;
}

h2 {
  padding: 1rem 0;
  font-size: calc(var(--font-size) + 0.4rem);
  line-height: 1.5;
  font-weight: 500 !important;
  color: var(--buket-dunkelgruen) !important;
}

h3 {
  padding: 1rem 0 1rem 0;
  font-size: calc(var(--font-size) + 0.3rem);
  line-height: 1.5;
  font-weight: 400 !important;
    color: var(--buket-dunkelrot) !important;
}

h4 {
  padding: 0.75rem 0 0.25rem 0 !important;
  font-size: calc(var(--font-size) - 0.1rem);
  line-height: 1.5;
  font-weight: 400 !important;
  color: var(--buket-hellrot) !important;
}

p {
  margin-bottom: 1rem;
  color: var(--buket-fliesstext) !important;
}

/*
  ======================================================================
Hero
  ======================================================================
  */
.section[role=hero] {
  background-color: var(--gray-100);
  background-image: url(../images/header-totale-05.webp);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;

  .content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem;

    img {
      max-width: 20rem;
    }

    span.headline {
      font-family: var(--font-fliesstext);
      color: var(--buket-apricot) !important;
      text-transform: uppercase;
      letter-spacing: 0.2rem;
      padding-top: 1rem;
      font-weight: 600;
      font-size: 1rem;
    }

    span.text {
      font-family: var(--font-fliesstext);
      color: var(--buket-beige) !important;
      padding: 0.75rem 0 1rem 0;
      text-align: center;
      font-size: 0.9rem;
    }
  }
}

/*
  ======================================================================
Navigation
  ======================================================================
  */
.section[role=nav] {
  background-color: var(--buket-beige);
  display: grid;
  grid-template-areas: "a b";
  grid-template-columns: auto 1fr;
  align-items: center;
  align-items: flex-end;
  position: sticky;
  top: 0;
  z-index: 3;
  height: 5rem;
  align-items: center;

  .logo {
    img {
      max-height: 3rem;
      margin-bottom: 0.2rem;
    }
  }

  .content {
    .nav-mobile {
      display: none;
      width: 5rem;
      height: 5rem;
      display: none;
      justify-content: center;
      align-items: center;
      margin-right: -1rem;
      margin-left: -2rem;

      i {
        display: flex;
        justify-content: center;
        align-items: center;
      }

      i:before {
        color: var(--buket-dunkelgruen);
        font-size: calc(var(--font-size) + 1rem);
        content: "\f0c9";
      }
    }

    .nav-mobile.active {
      i:before {
        content: "\f00d";
      }
    }

    ul {
      color: var(--buket-dunkelgruen);
      text-align: right;

      li {
        display: inline;
        font-weight: 300;
        margin-left: 1rem;
        border-bottom: 0 solid transparent;
        transition: all 0.2s;
      }

      li.active {
        border-bottom: 3px solid var(--buket-dunkelgruen);
        transition: all 0.2s;
        font-weight: 500;
      }

      li:hover {
        border-bottom: 3px solid var(--buket-hellrot);
        transition: all 0.2s;
      }
    }
  }
}

body.mobile-nav-open {
  overflow: hidden;
  background-color: var(--buket-dunkelgruen);

  .section[role=hero] {
    display: none;
  }
}

@media only screen and (max-width: 480px) {
  .section[role=nav] {
    padding: 0 1rem;

    .logo {
      img {
        max-height: 2.5rem;
      }
    }

    .content {
      display: flex;
      justify-content: flex-end;
      align-items: center;

      ul {
        display: none;
        position: fixed;
        top: 5rem;
        left: 0;
        height: calc(100vh - 5rem);
        width: 100vw;
        background-color: var(--buket-dunkelgruen);
        color: #FFF;
        margin: 0;
        padding: 2rem;

        li {
          display: block;
          line-height: 3;
        }
      }

      .nav-mobile {
        display: flex;
      }

      .nav-mobile.active+ul {
        display: block;
      }
    }
  }
}

@media only screen and (max-width: 1400px) {
  .section[role=nav] {
    padding-left: 1rem;
    padding-right: 1rem;
  }
}

/*
  ======================================================================
Content
  ======================================================================
  */
.section[role=content] {
  ul {
    padding-left: 0;
    list-style: none;
    font-size: var(--font-size);
    color: var(--main-dark);
    font-weight: 300;
    line-height: 1.5;
    margin-bottom: 1rem;

    li {
      line-height: 1.5;
      padding-left: 1.3rem;
    }

    li:before {
      content: "\f054";
      font-family: FontAwesome;
      padding-right: 0.5rem;
      font-size: calc(var(--font-size));
      font-weight: 300;
      color: var(--buket-hellrot);
      margin-left: -1.3rem;
      display: inline-block;
      width: 1.3rem;
    }
  }

  p {
    color: var(--buket-fliesstext);
  }

  a {
    color: var(--buket-hellrot);

    display: inline-block;
    position: relative;


    &:after {
      content: "";
      height: 100%;
      width: 100%;

      top: 0;
      left: 0;
      position: absolute;
      border-bottom: 1px dashed var(--buket-hellrot);

      opacity: 0;
    }



    &:hover {}

    &:hover:after {
      opacity: 1;
      transition: all 1s ease-out;
      border-bottom: 1px solid var(--buket-hellrot);

    }

  }
}

@media only screen and (max-width: 999px) and (-webkit-min-device-pixel-ratio: 2) {
  .section[role=content] {

    >h1,
    >h2,
    >h3,
    >h4,
    >h5,
    >h6,
    >ul,
    >p {
      padding-left: 1.5rem;
      padding-right: 1.5rem;
    }
  }
}

/*
  ======================================================================
Google Maps
  ======================================================================
  */
.section[role=maps] {
  position: relative;
  overflow: hidden;
  padding-bottom: 20%;

  iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}

@media only screen and (max-width: 999px) and (-webkit-min-device-pixel-ratio: 2) {
  .section[role=maps] {
    padding-bottom: 50%;
  }
}

/*
  ======================================================================
Section Hero
  ======================================================================
  */
.section[role=section-hero-agb] {
  background-image: url(../images/section-hero_buket-agb.webp);
  height: 30rem;
  background-size: cover;
  background-position: bottom center;
}

.section[role=section-hero-datenschutz] {
  background-image: url(../images/section-hero_buket-events.webp);
  height: 30rem;
  background-size: cover;
  background-position: top center;
}

.section[role=section-hero-events] {
  background-image: url(../images/section-hero_buket-datenschutz.webp);
  height: 30rem;
  background-size: cover;
  background-position: top center;
}

.section[role=section-hero-getraenke] {
  background-image: url(../images/header-totale-01.webp);
  height: 30rem;
  background-size: cover;
  background-position: center center;
}

.section[role=section-hero-impressum] {
  background-image: url(../images/section-hero_buket-impressum.webp);
  height: 30rem;
  background-size: cover;
  background-position: top center;
}

.section[role=section-hero-kontakt] {
  background-image: url(../images/section-hero_kontakt-buket-bar-winterberg.webp);
  height: 30rem;
  background-size: cover;
  background-position: top center;
}

.section[role=section-hero-wein] {
  background-image: url(../images/section-hero_buket-weinshop-weinhandel-winterberg.webp);
  height: 30rem;
  background-size: cover;
  background-position: top center;
}

/*
  ======================================================================
Weinshop Startseite
  ======================================================================
  */
.section[role=weinshop-content] {
  background-color: var(--buket-dunkelrot);
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 1rem;
  padding-bottom: 2rem;

  h2 {
    text-align: center;
    color: var(--buket-beige) !important;
  }

  p {
    text-align: center;
    color: var(--buket-beige) !important;
  }
}

@media only screen and (max-width: 999px) and (-webkit-min-device-pixel-ratio: 2) {
  .section[role=weinshop-content] {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }
}

/*
  ======================================================================
St-Germain Partner
  ======================================================================
  */
.section[role=st-germain] {
  background-color: #FFF;
  padding-top: 2rem;
  padding-bottom: 1.2rem;
  justify-content: center;
  align-items: center;

  img {
    max-height: 5rem;
  }

  span {
    color: var(--buket-dunkelrot);
    padding-top: 0.75rem;
    text-transform: uppercase;
    letter-spacing: 0.35rem;
    font-weight: 400;
    font-size: calc(var(--font-size) - 0.2rem);
  }
}

.section[role=st-germain-unterseite] {
  background-color: var(--buket-beige);
  padding-top: 2rem;
  padding-bottom: 1.2rem;
  justify-content: center;
  align-items: center;
  margin-bottom: -2rem;
  margin-top: 2rem;

  img {
    max-height: 5rem;
  }

  span {
    color: var(--buket-dunkelrot);
    padding-top: 0.75rem;
    text-transform: uppercase;
    letter-spacing: 0.35rem;
    font-weight: 400;
    font-size: calc(var(--font-size) - 0.2rem);
  }
}

/*
  ======================================================================
Über Dominic
  ======================================================================
  */
.section[role=dominic] {
  background-color: var(--buket-beige);

  .inhaltselement-text h2 {
    font-size: calc(var(--font-size) + 2rem);
    color: var(--buket-dunkelgruen);
    margin-top: 0;
    line-height: 1;
    margin-bottom: 0.5rem;
  }

  .inhaltselement-text p {
    color: var(--buket-dunkelgruen) !important;
  }
}

/*
  ======================================================================
Instagram
  ======================================================================
  */
.section[role=instagram] {
  background-color: var(--buket-dunkelgruen);

  .eapps-instagram-feed-title,
  .eapps-instagram-feed-posts-grid-load-more-container,
  .eapps-instagram-feed-posts-grid-load-more-enabled {
    display: none !important;
  }

  .eapps-instagram-feed-posts-grid-load-more {
    background-color: var(--buket-hellrot) !important;
  }

  #eapps-instagram-feed-1 .eapps-instagram-feed-posts-item-text {
    font-family: var(--font-fliesstext) !important;
    font-size: calc(var(--font-size) - 0.2rem) !important;
  }

  .eapps-instagram-feed-posts-item-date {
    font-family: var(--font-fliesstext) !important;
    font-size: calc(var(--font-size) - 0.3rem) !important;
    color: #455245 !important;
    opacity: 0.75 !important;
  }

  .eapps-instagram-feed-posts-item-likes-count-label,
  .eapps-instagram-feed-posts-item-comments-count-label {
    font-family: var(--font-fliesstext) !important;
    font-size: calc(var(--font-size) - 0.1rem) !important;
  }

  #eapps-instagram-feed-1 {
    text-transform: lowercase !important;
  }
}

/*
  ======================================================================
Infos (Öffnungszeiten, Anfahrt & Co.)
  ======================================================================
  */
.section[role=infos] {
  background-color: var(--buket-apricot);
  display: flex;
  justify-content: center;
  align-items: center;

  .inhaltselement-text h3 {
    text-align: center;
    color: #FFF;
    padding-top: 1rem;
  }

  .inhaltselement-text p {
    text-align: center;
    color: var(--buket-dunkelrot) !important;
  }
}

/*
  ======================================================================
Footer
  ======================================================================
  */
.section[role=maps]+.section[role=footer] {
  margin-top: -1px;
}

.section[role=instagram]+.section[role=footer] {
  margin-top: -1px;
}

.section[role=footer] {
  background-color: var(--buket-dunkelgruen);
  padding-top: 1rem;
  padding-bottom: 0.8rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-top: 2rem;

  .left {
    ul {
      font-size: calc(var(--font-size) - 0.3rem);
      font-weight: 400;

      li {
        display: inline-block;
        margin-right: 0.5rem;

        a {
          color: rgba(255, 255, 255, 0.75);
          transition: all 0.2s;
        }

        a:hover {
          color: rgba(255, 255, 255, 1);
          transition: all 0.2s;
        }
      }

      li.active a {
        color: rgba(255, 255, 255, 1);
      }
    }
  }

  .right {
    display: flex;
    justify-content: flex-end;

    p.copyright {
      margin: 0 !important;

      a {
        transition: all 0.2s;
        text-align: center;
        font-size: calc(var(--font-size) - 0.3rem);
        font-weight: 400;
        display: flex;
        justify-content: center;
        align-items: center;
        color: rgba(255, 255, 255, 0.75);

        svg {
          height: 0.7rem;
          display: inline-block;
          margin: 0 0.25rem;
          fill: rgba(255, 255, 255, 0.75);
        }
      }
    }

    p.copyright a:hover {
      transition: all 0.2s;
      color: rgba(255, 255, 255, 1);

      svg {
        fill: rgba(255, 255, 255, 1);
      }
    }
  }
}

@media only screen and (max-width: 480px) {
  .section[role=footer] {
    grid-template-columns: 1fr;

    .left,
    .right {
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }
}

@media only screen and (max-width: 1400px) {
  .section[role=footer] {
    padding-left: 1rem;
    padding-right: 1rem;
  }
}

/*
  ======================================================================
Inhaltselemente
  ======================================================================
  */
.inhaltselement-bild {
  object-fit: cover;
  overflow: hidden;
  background-color: #455244;
}

.inhaltselement-bild img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.inhaltselement-text {
  padding: 3rem;
}

.grid-3 .inhaltselement-text {
  padding: 2rem;
}

@media only screen and (max-width: 480px) {
  .inhaltselement-text {
    padding: 2rem 2rem 0 2rem;
  }

  .grid-3 .inhaltselement-text {
    padding: 0;
  }
}

/*
======================================================================
Tools
======================================================================
*/
.bg-apricot {
  background-color: var(--buket-apricot);
}

.bg-beige {
  background-color: var(--buket-beige);
}

.bg-dunkelgruen {
  background-color: var(--buket-dunkelgruen);
}

.bg-dunkelrot {
  background-color: var(--buket-dunkelrot);
}

.height-0-25rem {
  height: 0.25rem !important;
}

.height-0-5rem {
  height: 0.5rem !important;
}

.height-0-75rem {
  height: 0.75rem !important;
}

.height-1rem {
  height: 1rem !important;
}

.height-1-5rem {
  height: 1.5rem !important;
}

.margin-bottom-1rem {
  margin-bottom: 1rem !important;
}


.margin-top--1rem {
  margin-top: -1rem !important;
}


.margin-top--0-5rem {
  margin-top: -0.5rem !important;
}


.margin-top-0rem {
  margin-top: 0rem !important;
}

.margin-top-1rem {
  margin-top: 1rem !important;
}

.margin-top-1-5rem {
  margin-top: 1rem !important;
}

.margin-top-2rem {
  margin-top: 2rem !important;
}

.margin-top-3rem {
  margin-top: 3rem !important;
}

.margin-top-4rem {
  margin-top: 4rem !important;
}

.margin-top-2-5rem {
  margin-top: 2.5rem !important;
}

.margin-top--2rem {
  margin-top: -2rem !important;
}

.margin-bottom-0rem {
  margin-bottom: 0rem !important;
}

.margin-bottom-0-5rem {
  margin-bottom: 0.5rem !important;
}

.margin-bottom-1-5rem {
  margin-bottom: 1.5rem !important;
}

.margin-bottom-2rem {
  margin-bottom: 2rem !important;
}

.margin-bottom-2-5rem {
  margin-bottom: 2.5rem !important;
}

.margin-bottom--1rem {
  margin-bottom: -1rem !important;
}

.no-margin {
  margin: 0 !important;
}

.no-margin-bottom {
  margin-bottom: 0 !important;
}

.padding-top-1-5rem {
  padding-top: 1.5rem !important;
}

.padding-top-2rem {
  padding-top: 2rem !important;
}

.padding-top-2-5rem {
  padding-top: 2.5rem !important;
}

.padding-top-3rem {
  padding-top: 3rem !important;
}

.padding-bottom-2rem {
  padding-top: 2rem !important;
}

.no-padding {
  padding: 0 !important;
}

.no-padding-top {
  padding-top: 0 !important;
}

.no-padding-bottom {
  padding-bottom: 0 !important;
}

.padding-bottom-0rem {
  padding-bottom: 0 !important;
}

.clear {
  clear: both !important;
  width: 100%;
}

.sticky {
  position: sticky !important
}

.spiegeln {
  transform: scaleX(-1);
}

/*///// Responsive /////*/
.only-mobile {
  display: none;
}

@media only screen and (max-width: 999px) and (-webkit-min-device-pixel-ratio: 2) {
  .no-mobile {
    display: none !important;
  }

  .only-mobile {
    display: block !important;
  }
}

/*
  ======================================================================
  CTA
  ======================================================================
*/
a.cta,
button.cta,
span.cta {
  border: 1px dashed var(--buket-hellrot);
  color: #FFF !important;
  padding: 0.4rem 0.6rem 0.4rem 0.9rem;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  font-size: calc(var(--font-size) - 0.2rem);
  display: inline-block;
  margin-top: 0.5rem;
  transition: all 0.2s;
  font-family: var(--font-fliesstext);
  background-color: transparent;
  background-color: var(--buket-hellrot);
  cursor: pointer;
  font-weight: 400;
  margin-right: 0.75rem;
}

a.cta:after,
a.cta:hover:after {
  display: none !important;
}


span.cta {
  cursor: default;
  text-align: center;
  margin-top: 0;
  margin-bottom: 2rem;
}

a.cta:after,
button.cta:after {
  content: "»";
  font-weight: 300;
  padding-left: 0.5rem;
}

a.cta.secondary,
button.cta.secondary {
  margin-top: 0;
  background-color: #FFF;
  color: var(--buket-hellrot) !important;
  font-weight: 500;
  transition: all 0.2s;
}

a.cta.tertiary,
button.cta.tertiary {
  padding: 0.4rem 0.7rem 0.35rem 0.7rem;
  font-size: 0.8rem;
  margin-top: 0;
  color: #FFF;
  border-color: var(--buket-dunkelgruen);
  background-color: var(--buket-dunkelgruen);
  text-transform: none;
  letter-spacing: 0;
  transition: all 0.2s;
}

a.cta.quaternary,
button.cta.quaternary {
  padding: 0.4rem 0.7rem 0.35rem 0.7rem;
  font-size: 0.8rem;
  margin-top: 0;
  color: var(--buket-apricot);
  border-color: var(--buket-apricot);
  background-color: #FFF;
  text-transform: none;
  letter-spacing: 0;
  transition: all 0.2s;
}

a.cta:hover,
button.cta:hover {
  background-color: transparent;
  color: var(--buket-hellrot) !important;
  border: 1px dashed var(--buket-hellrot);
  transition: all 0.2s;
}

a.cta.secondary:hover,
button.secondary.cta:hover {
  color: #FFF !important;
  background-color: var(--buket-hellrot);
  border: 1px solid var(--buket-hellrot);
  transition: all 0.2s;
}

a.cta.tertiary:hover,
button.cta.tertiary:hover {
  color: var(--buket-apricot);
  border-color: var(--buket-apricot);
  background-color: #FFF;
  transition: all 0.2s;
}

a.cta.quaternary:hover,
button.cta.quaternary:hover {
  color: var(--buket-hellrot);
  border-color: var(--buket-hellrot);
  background-color: #FFF;
  transition: all 0.2s;
}

/*
  ======================================================================
  Grids
  ======================================================================
  */
.grid-20-80 {
  display: grid;
  grid-template-columns: 20% 1fr;
  grid-gap: 2.5rem;
  align-items: flex-start;
}

.grid-30-70 {
  display: grid;
  grid-template-columns: 30% 1fr;
  grid-gap: 2.5rem;
  align-items: flex-start;
}

.grid-40-60 {
  display: grid;
  grid-template-columns: 40% 1fr;
  grid-gap: 2.5rem;
  align-items: flex-start;
}

.grid-70-30 {
  display: grid;
  grid-template-columns: 1fr 30%;
  grid-gap: 2.5rem;
  align-items: flex-start;
}

.grid-2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-items: stretch;
}

.grid-3 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  margin: 1rem 0;
}

.grid-4 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 2.5rem;
}

.grid-5 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  grid-gap: 2.5rem;
}

.grid-6 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-gap: 2.5rem;
}

/*///// Responsive /////*/
@media only screen and (max-width: 480px) {

  .grid-20-80,
  .grid-30-70,
  .grid-70-30,
  .grid-40-60,
  .grid-2,
  .grid-3,
  .grid-4,
  .grid-5,
  .grid-6 {
    grid-template-columns: 1fr;
  }
}

/*
  ======================================================================
  Icons
  ======================================================================
  */
i {
  font-style: normal;
}

i:before {
  font-family: FontAwesome;
}

i.brennermedien:before {
  content: "\f06d";
  padding: 0 0.15rem;
}

i.checkbox:before {
  content: "\f0c8";
}

i.checkbox.checked:before {
  content: "\f14a";
}

i.radiobutton:before {
  content: "\f111";
}

i.radiobutton.checked:before {
  content: "\f192";
}

/*
  ======================================================================
  Schriften
  ======================================================================
  */
@font-face {
  font-family: "FontAwesome";
  font-display: swap;
  font-style: normal;
  font-weight: 100;
  src: url("fonts/fontawesome/fa-thin-100.woff2") format("woff2");
}

@font-face {
  font-family: "FontAwesome";
  font-display: swap;
  font-style: normal;
  font-weight: 300;
  src: url("fonts/fontawesome/fa-light-300.woff2") format("woff2");
}

@font-face {
  font-family: "FontAwesome";
  font-display: swap;
  font-style: normal;
  font-weight: 400;
  src: url("fonts/fontawesome/fa-regular-400.woff2") format("woff2");
}

@font-face {
  font-family: "FontAwesome";
  font-display: swap;
  font-style: normal;
  font-weight: 900;
  src: url("fonts/fontawesome/fa-brands-400.woff2") format("woff2");
}

/* @font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 100;
    src: url("fonts/poppins/thin.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 200;
    src: url("fonts/poppins/extralight.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 300;
    src: url("fonts/poppins/light.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 400;
    src: url("fonts/poppins/regular.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 500;
    src: url("fonts/poppins/medium.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 600;
    src: url("fonts/poppins/semibold.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 700;
    src: url("fonts/poppins/bold.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 800;
    src: url("fonts/poppins/extrabold.woff2") format("woff2");
}

@font-face {
    font-family: "Poppins";
    font-display: swap;
    font-style: normal;
    font-weight: 900;
    src: url("fonts/poppins/black.woff2") format("woff2");
} */
/*
  ======================================================================
    Josh's Custom CSS Reset
    https://www.joshwcomeau.com/css/custom-css-reset/
  ======================================================================
  */
*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

body {
  line-height: calc(1em + 0.5rem);
  -webkit-font-smoothing: antialiased;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

a {
  text-decoration: none;
}

#root,
#__next {
  isolation: isolate;
}

ol,
ul {
  list-style: none;
  padding: 0;
}